Subject: Re: [PATCH v3 09/15] net: dsa: Add support for switch EEPROM access

From: Andrew Lunn <[email-masked]>
Date: Fri, 31 Oct 2014 03:40:44 +0100

> As suspected, ethtool will attempt to read a zero-length eeprom.
> 
> The following patch should solve the problem. Not sure if it is worth it,
> though, since this will change behavior for existing drivers.

Yes, it changes behaviour, but it does make it more consistent.

Probably it should be up to core network people to decide if this is
the write fix or leave it as is.

    Andrew